Exchange at market rate
Execute an exchange immediately at the current market rate, without requesting a quote.
price) and the fee. An exchange callback with status confirmed is sent when the exchange is completed.
For every error this endpoint returns and what it means, see API errors: Exchange at market rate.Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Currency to exchange from. For a list of all available currencies, see API currency codes.
Currency to exchange to. For a list of all available currencies, see API currency codes.
Unique ID of this exchange in your system, up to 255 characters. It must be unique among your withdrawals and exchanges, and it's case-insensitive.
255The amount you want to exchange, in sender_currency, as a decimal string (for example, "100") or a number. Include either this parameter or receiver_amount, not both.
Up to 8 decimal places, or fewer for some currency pairs. The minimum is the min_amount of sender_currency in /v2/currencies/rates.
The amount you want to receive, in receiver_currency, before the exchange fee, as a decimal string (for example, "100") or a number. Include either this parameter or sender_amount, not both.
Up to 8 decimal places, or fewer for some currency pairs. The minimum is the min_amount of receiver_currency in /v2/currencies/rates, for the pair in the opposite direction.
Response
Created